# sccnv — SeisComP Release documentation

6.9.0

# sccnv

Converts data in different formats.

## Description

sccnv reads input given in a supported format, converts the content to another format and writes the output. Use the command-line option `format-list` for a list of supported formats.

## Formats

Different formats are supported for input and output files.

Name | Description | Input | Output
--- | --- | --- | ---
arclink | Arclink XML | X | X
bson |  | X | X
bson-json |  |  | X
csv | comma-separated values |  | X
hyp71sum2k | Hypo71 format |  | X
ims10 |  |  | X
json | JSON format | X | X
qml1.2 | QuakeML format | * | X
qml1.2rt | QuakeML real time (RT) format | * | X
scdm0.51 |  | X | X
trunk | SeisComP XML (SCML) - SCML API | X | X

*: The conversion from files in QuakeML format is not supported by sccnv but can be realized by system tools. Read section QuakeML for details and instructions.

### QuakeML

QuakeML is used in a variety of flavors involving, e.g.,

- Using non-standard objects,

- PublicID references which are not globally unique,

- Missing references to parent objects,

- Missing creationInfo parameters.

The ability to convert from QuakeML to SCML is thus limited and it depends on the parameters provided with the input QuakeML file.

However, XSLT stylesheets are provided for mapping the parameters. The files are located in `@DATADIR@/xml/[version]/` for different SeisComP data schema versions. The stylesheet files provide information on the mapping and on limitations as well as examples on their application.

Note

You may find out about the SeisComP data schema version using modules along with the command-line option -V, e.g.,

    $ sccnv -V

The style sheets can be used along with other stylesheet converter tools provided by your system, e.g., xalan or xsltproc. Examples are given in section Examples.

## Examples

- Print the list of supported formats:

      $ sccnv --format-list

- Convert an event parameter file in SCML format to QuakeML and store the content in a file:

      $ sccnv -i seiscomp.xml -o qml1.2:quakeml.xml

- Convert an inventory file in Arclink XML format to SCML and store the content in a file:

      $ sccnv -i arclink:Package_inventory.xml -o inventory.sc.xml

- Convert an event parameter file in SCML format to ims1.0 and store the content in a file:

      $ sccnv -i trunk:event.xml -o ims10:event.ims

- Convert QuakeML in version 1.2 to SCML in data schema version 0.12:

      $ xsltproc $SEISCOMP_ROOT/share/xml/0.12/quakeml_1.2__sc3ml_0.12.xsl file.quakeml > file_sc.xml

## Command-Line Options

sccnv -i format:file -o format:file

sccnv reads the input given in a supported format, converts the content and writes the output in another format. Use the option format-list for a list of supported formats.

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

### Verbosity

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

### Formats

--format-list

  List all supported formats

### Input

-i, --input arg

  Input stream [format:][file], default: trunk:-

### Output

-o, --output arg

  Output stream [format:][file], default trunk:-

-f, --formatted

  Use formatted output

--indent arg

  Formatted line indent. Default: 2